Detener esta evaluación, conservando respuestas, tickets, planes y otras participaciones
curl --request POST \
--url https://clientapi.woku.app/v1/journeys/{id}/enrollments/{enrollmentId}/stop \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://clientapi.woku.app/v1/journeys/{id}/enrollments/{enrollmentId}/stop"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://clientapi.woku.app/v1/journeys/{id}/enrollments/{enrollmentId}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"subjectKey": "<string>",
"contact": {
"email": "cliente@example.com",
"phone": "56911111111"
},
"lifecycle": "pending",
"dispatchOutcomeUncertain": true,
"pendingMoments": [
{
"key": "<string>",
"name": "<string>"
}
],
"moments": [
{
"key": "<string>",
"name": "<string>",
"status": "pending",
"toolId": "<string>",
"toolType": "woku",
"toolScope": "shared",
"sentAt": "2023-11-07T05:31:56Z",
"respondedAt": "2023-11-07T05:31:56Z",
"activationSource": "operator",
"hookReceivedAt": "2023-11-07T05:31:56Z"
}
],
"next": {
"stageKey": "<string>",
"name": "<string>",
"source": "operator",
"scheduledFor": "2023-11-07T05:31:56Z"
},
"definitionVersion": 123,
"startedAt": "2023-11-07T05:31:56Z",
"startSource": "operator",
"stoppedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"stopRequestedAt": "2023-11-07T05:31:56Z",
"stoppedBy": "<string>",
"stopReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}v1 - journeys
Detener esta evaluación, conservando respuestas, tickets, planes y otras participaciones
POST
/
v1
/
journeys
/
{id}
/
enrollments
/
{enrollmentId}
/
stop
Detener esta evaluación, conservando respuestas, tickets, planes y otras participaciones
Autorizaciones
Clave API secreta de la empresa.
Encabezados
Clave generada por el cliente para reintentar con seguridad. Un reintento con la misma clave y operación devuelve el resultado original. No reutilices la clave con datos nuevos: se reproduce el cuerpo original. Una operación diferente devuelve 422.
Cuerpo
application/json
Maximum string length:
280Respuesta
Show child attributes
Show child attributes
Opciones disponibles:
pending, running, stopping, stopped, completed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
operator, response, webhook